; This script will generate an installer that installs R4 custom scenes
;
; This installer will automatically alert the user that installation was
; successful, and ask them whether or not they would like to run R4
;
; This is based on Nullsoft's WinAmp plugin installer 
;
;--------------------------------
; http://r4.rabidhamster.org
;--------------------------------

; The name of the installer
Name "Rovastar's R4 Pack"

; The file to write
OutFile "R4pack_Rovastar.exe"

; Setup the icon
Icon "R4.ico"

; The default installation directory
InstallDir $PROGRAMFILES\R4

; detect R4 path from uninstall string if available
InstallDirRegKey HKLM \
                 "Software\Microsoft\Windows\CurrentVersion\Uninstall\R4" \
                 "UninstallString"

; The text to prompt the user to enter a directory
DirText "Please select your R4 path below (you will be able to proceed when R4 is detected):"
DirShow hide

; automatically close the installer when done.
AutoCloseWindow true

; hide the "show details" box
ShowInstDetails nevershow

;--------------------------------

; The stuff to install

Section ""

  ; INSTALL THE R4 PREDEFINE FILES...
  SetOutPath "$INSTDIR\data\predefine"
  File "predefine\*.r4"

  ; INSTALL ANY TEXTURES THAT ARE NEEDED...
  SetOutPath "$INSTDIR\data\tex"
  File "tex\*.*"

  ; prompt user, and if they select no, go to NoR4
  MessageBox MB_YESNO|MB_ICONQUESTION \
             "The R4 pack was installed. Would you like to run R4 now?" \
             IDNO NoR4
  SetOutPath "$INSTDIR"
  Exec '"$INSTDIR\R4.exe"'
  NoR4:
  
SectionEnd

;--------------------------------

Function .onInit
    MessageBox MB_OK "Please ensure R4 is closed before installing this pack"
FunctionEnd

Function .onVerifyInstDir
  ;Check for R4 installation
  IfFileExists $INSTDIR\R4.exe Good
    Abort
  Good:
FunctionEnd
